### set logins

Use the set logins command to

- Configure the sequence of events that occurs when a user logs into a device/terminal server port. This includes information the user supplies and the device/terminal server prompts and responses.

- Display current login settings

Regular users can

- Display current login-related settings for the port they are using

- Change login-related settings for the port they are using for their current session

- Save configuration changes for the port for future sessions if the administrator (root) has previously specified set logins write=on

Root privileges are required to display information about other ports and to make configuration changes.

Also see the set ports and set user commands.

#### Command Syntax

##### Configuration Syntax

Enter the set logins command as shown below to configure login sequences:

`set logins [cmdprompt=string] [logprompt=string] [login={on|off}] [passwd={on|off}] [passprompt=string] [range=range] [save=on|off] [verbose={on|off}] [write={on|off}]`

##### Display Syntax

Enter the set logins command as shown below to display login sequences:

`set logins [range=range]`

#### Command Fields

Command Field | Description
cmdprompt | Specifies the device/terminal server prompt displayed to a regular user who has logged in. The maximum length is eight characters. Enclose this string in quotation marks if it includes spaces. The default is digi> for normal users and #> for root users.
login | on - means that a user must log into the port. off - means that a user is not required to log into the port. The default is on for inbound dev types (see set ports). This field is disabled when the port is configured as an auto port (see set ports).
logprompt | Specifies the login prompt the device/terminal server displays. The maximum length is 10 characters. Enclose this string in quotation marks if it includes spaces. The default is login:
passprompt | on - means that users are required to supply a password to access the device/terminal server on the ports specified by the range field. off - means that users do not supply a password to access the device/terminal server. The default is on. This field is disabled when the port is configured as an auto port (see set ports).
range | Is the range of ports addressed by this set logins command.
save | on - save changes to non-volatile memory. off - do not save changes-- changes will be discarded when the PortServer is rebooted. This option is not supported on PortServer TS 8/16.
verbose | on - means that the device/terminal server displays connection status messages to users before the login prompt. off - means that the device/terminal server does not display connection status messages to users before the login prompt. The default is off.
write | on - means that configuration changes made by regular users can be saved and used for subsequent sessions by that user. off - means that configuration changes made by regular users are not saved.

#### Command Examples

##### Displaying Login Information on a Port

In this example, the set logins command displays login-related information on the port the user is using:

`set logins`

##### Displaying Login Information on a Range of Ports

In this example, the set logins command displays login-related information on a range of ports:

`set logins range=3-5`

##### Enabling User Configuration on a Port

In this example, the set logins command configures a port so that users can save their login-related configuration changes and use them in future sessions:

`set logins write=on`

##### Configuring the Command Prompt

In this example, the set logins command configures the command prompt. Since there are spaces in the new command prompt, the entry is enclosed in quotation marks.

`set logins cmdprompt="Ent Cmd:"`